Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkImageAppend Class Reference

`#include <vtkImageAppend.h>`

Inheritance diagram for vtkImageAppend:

[legend]
Collaboration diagram for vtkImageAppend:

[legend]
List of all members.

## Detailed Description

Collects data from multiple inputs into one image.

Date:
  2002/01/22 15:31:50

Revision:
  1.26

vtkImageAppend takes the components from multiple inputs and merges them into one output. The output images are append along the "AppendAxis". Except for the append axis, all inputs must have the same extent. All inputs must have the same number of scalar components. A future extension might be to pad or clip inputs to have the same extent. The output has the same origin and spacing as the first input. The origin and spacing of all other inputs are ignored. All inputs must have the same scalar type.

Created by:
  - Law, Charles

CVS contributions (if > 5%):
  - Law, Charles (86%)
  - Martin, Ken (5%)

CVS logs (CVSweb):
  - .`h` (`/Imaging/vtkImageAppend.h)`
  - .`cxx` (`/Imaging/vtkImageAppend.cxx)`

Tests:
  vtkImageAppend (Tests)

Definition at line 52 of file vtkImageAppend.h.

## Public Types
typedef vtkImageMultipleInputFilter | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | SetAppendAxis (int)
virtual int | GetAppendAxis ()
virtual void | SetPreserveExtents (int)
virtual int | GetPreserveExtents ()
virtual void | PreserveExtentsOn ()
virtual void | PreserveExtentsOff ()
## Static Public Methods
vtkImageAppend * | New ()
int | IsTypeOf (const char *type)
vtkImageAppend * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkImageAppend ()
| ~vtkImageAppend ()
void | ExecuteInformation (vtkImageData **inputs, vtkImageData *output)
void | ComputeInputUpdateExtent (int inExt[6], int outExt[6], int whichInput)
void | ExecuteInformation ()
void | ThreadedExecute (vtkImageData **inDatas, vtkImageData *outData, int extent[6], int id)
void | InitOutput (int outExt[6], vtkImageData *outData)
## Protected Attributes
int | PreserveExtents
int | AppendAxis
int * | Shifts

## Member Typedef Documentation

typedef vtkImageMultipleInputFilter vtkImageAppend::Superclass

| Reimplemented from vtkImageMultipleInputFilter. Definition at line 56 of file vtkImageAppend.h.

## Constructor & Destructor Documentation

vtkImageAppend::vtkImageAppend | ( |  | ) | `[protected]`

vtkImageAppend::~vtkImageAppend | ( |  | ) | `[protected]`

## Member Function Documentation

vtkImageAppend* vtkImageAppend::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

virtual const char* vtkImageAppend::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkImageMultipleInputFilter.

int vtkImageAppend::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageMultipleInputFilter.

virtual int vtkImageAppend::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageMultipleInputFilter.

vtkImageAppend* vtkImageAppend::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkImageMultipleInputFilter.

void vtkImageAppend::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkImageMultipleInputFilter.

virtual void vtkImageAppend::SetAppendAxis | ( | int |  | ) | `[virtual]`

| This axis is expanded to hold the multiple images. The default AppendAxis is the X axis. If you want to create a volue from a series of XY images, then you should set the AppendAxis to 2 (Z axis).

virtual int vtkImageAppend::GetAppendAxis | ( |  | ) | `[virtual]`

| This axis is expanded to hold the multiple images. The default AppendAxis is the X axis. If you want to create a volue from a series of XY images, then you should set the AppendAxis to 2 (Z axis).

virtual void vtkImageAppend::SetPreserveExtents | ( | int |  | ) | `[virtual]`

| By default "PreserveExtents" is off and the append axis is used. When "PreseveExtents" is on, the extent of the inputs is used to place the image in the output. The whole extent of the output is the union of the input whole extents. Any portion of the output not covered by the inputs is set to zero. The origin and spacing is taken from the first input.

virtual int vtkImageAppend::GetPreserveExtents | ( |  | ) | `[virtual]`

| By default "PreserveExtents" is off and the append axis is used. When "PreseveExtents" is on, the extent of the inputs is used to place the image in the output. The whole extent of the output is the union of the input whole extents. Any portion of the output not covered by the inputs is set to zero. The origin and spacing is taken from the first input.

virtual void vtkImageAppend::PreserveExtentsOn | ( |  | ) | `[virtual]`

| By default "PreserveExtents" is off and the append axis is used. When "PreseveExtents" is on, the extent of the inputs is used to place the image in the output. The whole extent of the output is the union of the input whole extents. Any portion of the output not covered by the inputs is set to zero. The origin and spacing is taken from the first input.

virtual void vtkImageAppend::PreserveExtentsOff | ( |  | ) | `[virtual]`

| By default "PreserveExtents" is off and the append axis is used. When "PreseveExtents" is on, the extent of the inputs is used to place the image in the output. The whole extent of the output is the union of the input whole extents. Any portion of the output not covered by the inputs is set to zero. The origin and spacing is taken from the first input.

void vtkImageAppend::ExecuteInformation | ( | vtkImageData ** | inputs,
|  | vtkImageData * | output
| ) | `[protected, virtual]`

| Reimplemented from vtkImageMultipleInputFilter.

void vtkImageAppend::ComputeInputUpdateExtent | ( | int | inExt[6],
|  | int | outExt[6],
|  | int | whichInput
| ) | `[protected, virtual]`

| Reimplemented from vtkImageMultipleInputFilter.

void vtkImageAppend::ExecuteInformation | ( |  | ) | `[inline, protected, virtual]`

| Reimplemented from vtkImageMultipleInputFilter. Definition at line 90 of file vtkImageAppend.h. References vtkImageMultipleInputFilter::ExecuteInformation().

void vtkImageAppend::ThreadedExecute | ( | vtkImageData ** | inDatas,
|  | vtkImageData * | outData,
|  | int | extent[6],
|  | int | id
| ) | `[protected, virtual]`

| The execute method created by the subclass. This is kept public instead of protected since it is called from a non-member thread function. Reimplemented from vtkImageMultipleInputFilter.

void vtkImageAppend::InitOutput | ( | int | outExt[6],
|  | vtkImageData * | outData
| ) | `[protected]`

## Member Data Documentation

int vtkImageAppend::PreserveExtents`[protected]`

| Definition at line 83 of file vtkImageAppend.h.

int vtkImageAppend::AppendAxis`[protected]`

| Definition at line 84 of file vtkImageAppend.h.

int* vtkImageAppend::Shifts`[protected]`

| Definition at line 86 of file vtkImageAppend.h.

The documentation for this class was generated from the following file:

- Imaging/vtkImageAppend.h